import request from '@/utils/request'

// 查询字典数据列表
export function listData(query) {
  return request({
    url: '/system/getDictDataList',
    method: 'post',
    params: query
  })
}

// 查询字典数据详细
export function getData(dictCode) {
  return request({
    url: '/system/dict/data/' + dictCode,
    method: 'get'
  })
}

// 根据字典类型查询字典数据信息
export function getDictInfo(data) {
  return request({
    url: '/system/getDictDataInfo',
    method: 'post',
    params: data
  })
}

// 新增字典数据
export function addData(data) {
  return request({
    url: '/system/addDictData',
    method: 'post',
    params: data
  })
}

// 修改字典数据
export function updateData(data) {
  return request({
    url: '/system/updateDictData',
    method: 'post',
    params: data
  })
}

// 删除字典数据
export function delData(dictCode) {
  return request({
    url: '/system/dict/data/' + dictCode,
    method: 'delete'
  })
}

// 导出字典数据
export function exportData(query) {
  return request({
    url: '/system/dict/data/export',
    method: 'get',
    params: query
  })
}
